#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.14
visibility:           public
id:                   foldl-1.4.14-7FvYRoq1RnrCJRQRIuzKTY
key:                  foldl-1.4.14-7FvYRoq1RnrCJRQRIuzKTY
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  ffb9178c4f27a3f58b0e069fc10d0032
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.14
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.14
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.14-7FvYRoq1RnrCJRQRIuzKTY
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-AX6NHyVNw6s9WyVryyTZ5b containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.2.0-5ySl8XM8t8QGZN86Jfv3oR
    primitive-0.7.4.0-4igQPjVFZ0u45ZZpSLQSLc
    profunctors-5.6.2-4gz8LVa2eh3FHhTU1Wc39D
    random-1.2.1.1-2OCZakkUdz4CgwOx57VCs0
    semigroupoids-5.3.7-8w7GytaD0QhHK3tDvNk9gM text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-DnnZsztXxSKIeB0HgJzbzw
    vector-0.13.0.0-CBdHfq8cDb33l37FQ8xap7

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

